#
# spec file for package ispell-slovak
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ispell-slovak
Version:        0.3.2
Release:        147.2
Summary:        Slovak Ispell Dictionary
License:        GPL-2.0+ or LGPL-2.1+ or MPL-1.1
Group:          Productivity/Text/Spell
Url:            http://sk-spell.sk.cx/?id=4
Source:         http://sk-spell.sk.cx/files/ispell-sk-%{version}.tar.gz
Source1:        slovak.el
Patch0:         ispell-sk-%{version}-installdir.patch
Patch1:         ispell-sk-%{version}-encoding_readme.patch.bz2
BuildRequires:  ispell
Provides:       ispell_dictionary
Provides:       locale(ispell:sk)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This packages includes a ready Slovak dictionary for ispell. A short
usage description for ispell is given in
%{_docdir}/ispell/README of the packages ispell. The
sources for this dictionary are included in the package dicts.

%prep
%autosetup -p0 -n ispell-sk-%{version}

%build
make %{?_smp_mflags}

%install
%make_install

install -Dm644 %{SOURCE1} %{buildroot}%{_prefix}/lib/ispell/emacs/slovak.el

%files
%defattr(-,root,root)
%doc AUTHORS CHANGELOG Copyright GPL LGPL MPL README* TODO
%{_prefix}/lib/ispell/slovak.*
%{_prefix}/lib/ispell/emacs/slovak.el

%changelog
* Thu Feb 22 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN
* Sat Mar  4 2017 rpm@fthiessen.de
- Fixed license
- Use SourceURL
* Sat Feb  4 2012 jengelh@medozas.de
- Remove redundant tags/sections (see specfile guidelines)
* Fri Aug  4 2006 lmichnovic@suse.cz
- update to version 0.3.2
  - removed install.sh, improved make clean
  - integration of 3 letters Slovak words
- renamed *.patch to *-installdir.patch
- recoded README.sk to make it readable in unicode envirovement
  (encoding_readme.patch.bz2)
* Fri Feb 24 2006 lmichnovic@suse.cz
- added Provides:  locale (ispell:sk)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Sep 16 2005 lmichnovic@suse.cz
- updated to version 0.3.0
* Thu Jan  6 2005 pmladek@suse.cz
- build an architecture dependent package; the hash table ondisk format
  depends on architecture (little/big endiannes, pointer size) [#49407]
* Wed Sep  1 2004 pmladek@suse.cz
- updated to version 0.2.2
* Thu Mar  4 2004 pmladek@suse.cz
- updated to version 0.2.1
  * license is GPL
* Mon Feb 23 2004 hmacht@suse.de
- building as non-root
* Tue Mar  5 2002 egmont@suselinux.hu
- Removed 'requires: ispell' (bug #13609)
* Thu Jan 24 2002 egmont@suselinux.hu
- Renamed to ispell-slovak
* Wed Mar 14 2001 werner@suse.de
- Use dynamic emacs menu feature of ispell package
  used by both emacs
- No spaces within file names
* Mon Feb 12 2001 cihlar@suse.cz
- package created
